using System;
namespace System.Model
{
	/// <summary>
	/// T_Bus_OrderMerge:实体类(属性说明自动提取数据库字段的描述信息)
	/// </summary>
	[Serializable]
	public partial class T_Bus_OrderMerge
	{
		public T_Bus_OrderMerge()
		{ }
		#region Model
		private string _f_id;
		private string _f_orderlist = "";
		private int _f_state = 0;
		private int _f_adduser;
		private int _f_checkuser;
		private string _f_addusername;
		private string _f_checkusername = "";
		private DateTime _f_addtime = DateTime.Now;
		private DateTime? _f_checktime;
		private string _f_gift = "";
		private decimal _f_money = 0M;
		private string _f_type = "";
		private string _f_remark = "";
		private string _f_checkremak = "";
		/// <summary>
		/// 订单合并ID
		/// </summary>
		public string F_Id
		{
			set { _f_id = value; }
			get { return _f_id; }
		}
		/// <summary>
		/// 订单号列表
		/// </summary>
		public string F_OrderList
		{
			set { _f_orderlist = value; }
			get { return _f_orderlist; }
		}
		/// <summary>
		/// 合并状态 -1无效 0暂存 1提交  2不予通过  3通过 
		/// </summary>
		public int F_State
		{
			set { _f_state = value; }
			get { return _f_state; }
		}
		/// <summary>
		/// 申请人
		/// </summary>
		public int F_AddUser
		{
			set { _f_adduser = value; }
			get { return _f_adduser; }
		}
		/// <summary>
		/// 审核人
		/// </summary>
		public int F_Checkuser
		{
			set { _f_checkuser = value; }
			get { return _f_checkuser; }
		}
		/// <summary>
		/// 
		/// </summary>
		public string F_AddUserName
		{
			set { _f_addusername = value; }
			get { return _f_addusername; }
		}
		/// <summary>
		/// 审核人
		/// </summary>
		public string F_CheckuserName
		{
			set { _f_checkusername = value; }
			get { return _f_checkusername; }
		}
		/// <summary>
		/// 添加日期
		/// </summary>
		public DateTime F_AddTime
		{
			set { _f_addtime = value; }
			get { return _f_addtime; }
		}
		/// <summary>
		/// 审核时间
		/// </summary>
		public DateTime? F_CheckTime
		{
			set { _f_checktime = value; }
			get { return _f_checktime; }
		}
		/// <summary>
		/// 关联商品
		/// </summary>
		public string F_Gift
		{
			set { _f_gift = value; }
			get { return _f_gift; }
		}
		/// <summary>
		/// 变动金额
		/// </summary>
		public decimal F_Money
		{
			set { _f_money = value; }
			get { return _f_money; }
		}
		/// <summary>
		/// 合并订单原因
		/// </summary>
		public string F_Type
		{
			set { _f_type = value; }
			get { return _f_type; }
		}
		/// <summary>
		/// 销售备注
		/// </summary>
		public string F_Remark
		{
			set { _f_remark = value; }
			get { return _f_remark; }
		}
		/// <summary>
		/// 客服备注
		/// </summary>
		public string F_CheckRemak
		{
			set { _f_checkremak = value; }
			get { return _f_checkremak; }
		}
		#endregion Model

	}
}

